package com.ejie.ab79.model.REST.servicioWeb;

public class Ubicacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String identificadorEstablecimiento;
	private String establecimiento;
	private String direccion;
	private String numero;
	private String escalera;
	private String piso;
	private String letra;
	private String codigoPostal;
	private String idProvincia;
	private String idMunicipio;
	private String idLocalidad;
	private Long idTipoDireccion;

	public Ubicacion() {
	}

	public String getIdentificadorEstablecimiento() {
		return identificadorEstablecimiento;
	}

	public void setIdentificadorEstablecimiento(String identificadorEstablecimiento) {
		this.identificadorEstablecimiento = identificadorEstablecimiento;
	}

	public String getEstablecimiento() {
		return establecimiento;
	}

	public void setEstablecimiento(String establecimiento) {
		this.establecimiento = establecimiento;
	}

	public String getDireccion() {
		return direccion;
	}

	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public String getEscalera() {
		return escalera;
	}

	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}

	public String getPiso() {
		return piso;
	}

	public void setPiso(String piso) {
		this.piso = piso;
	}

	public String getLetra() {
		return letra;
	}

	public void setLetra(String letra) {
		this.letra = letra;
	}

	public String getCodigoPostal() {
		return codigoPostal;
	}

	public void setCodigoPostal(String codigoPostal) {
		this.codigoPostal = codigoPostal;
	}

	public String getIdProvincia() {
		return idProvincia;
	}

	public void setIdProvincia(String idProvincia) {
		this.idProvincia = idProvincia;
	}

	public String getIdMunicipio() {
		return idMunicipio;
	}

	public void setIdMunicipio(String idMunicipio) {
		this.idMunicipio = idMunicipio;
	}

	public String getIdLocalidad() {
		return idLocalidad;
	}

	public void setIdLocalidad(String idLocalidad) {
		this.idLocalidad = idLocalidad;
	}

	public Long getIdTipoDireccion() {
		return idTipoDireccion;
	}

	public void setIdTipoDireccion(Long idTipoDireccion) {
		this.idTipoDireccion = idTipoDireccion;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ identificadorEstablecimiento: ").append(this.identificadorEstablecimiento).append(" ]");
		result.append(", [ establecimiento: ").append(this.establecimiento).append(" ]");
		result.append(", [ direccion: ").append(this.direccion).append(" ]");
		result.append(", [ numero: ").append(this.numero).append(" ]");
		result.append(", [ escalera: ").append(this.escalera).append(" ]");
		result.append(", [ piso: ").append(this.piso).append(" ]");
		result.append(", [ letra: ").append(this.letra).append(" ]");
		result.append(", [ codigoPostal: ").append(this.codigoPostal).append(" ]");
		result.append(", [ idProvincia: ").append(this.idProvincia).append(" ]");
		result.append(", [ idMunicipio: ").append(this.idMunicipio).append(" ]");
		result.append(", [ idLocalidad: ").append(this.idLocalidad).append(" ]");
		result.append("}");
		return result.toString();
	}
}
